[arch-commits] Commit in haskell-generic-lens/repos (3 files)
Felix Yan
felixonmars at archlinux.org
Wed Jul 7 04:17:49 UTC 2021
Date: Wednesday, July 7, 2021 @ 04:17:49
Author: felixonmars
Revision: 973947
archrelease: copy trunk to community-staging-x86_64
Added:
haskell-generic-lens/repos/community-staging-x86_64/
haskell-generic-lens/repos/community-staging-x86_64/PKGBUILD
(from rev 973946, haskell-generic-lens/trunk/PKGBUILD)
haskell-generic-lens/repos/community-staging-x86_64/ghc9.patch
(from rev 973946, haskell-generic-lens/trunk/ghc9.patch)
------------+
PKGBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
ghc9.patch | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 96 insertions(+)
Copied: haskell-generic-lens/repos/community-staging-x86_64/PKGBUILD (from rev 973946, haskell-generic-lens/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-07-07 04:17:49 UTC (rev 973947)
@@ -0,0 +1,48 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=generic-lens
+pkgname=haskell-generic-lens
+pkgver=2.1.0.0
+pkgrel=49
+pkgdesc="Generically derive traversals, lenses and prisms"
+url="https://github.com/kcsongor/generic-lens"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-generic-lens-core' 'haskell-profunctors')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hunit' 'haskell-inspection-testing' 'haskell-lens')
+source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz
+ ghc9.patch)
+sha512sums=('d62f07d3133c4513478d868493d31350a6378cc6c31a7da88ca09b8e8d4032a82c7ae42cbbb0770167aeb15b289cb1401ae3f4576ff10bc39af6f5dca9d80640'
+ '4e690ab5db428a44ef8b016e18500e4a57b9eaf31e0ebc56cc0b5afbaf1a07990c2f6c3bf72e4058ba3cca10cea35888e4d9840343f1750714abfdf4298539b5')
+
+prepare() {
+ patch -d $_hkgname-$pkgver -p2 < ghc9.patch
+}
+
+build() {
+ cd $_hkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $_hkgname-$pkgver
+ runhaskell Setup test --show-details=direct || echo "Tests failed"
+}
+
+package() {
+ cd $_hkgname-$pkgver
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
Copied: haskell-generic-lens/repos/community-staging-x86_64/ghc9.patch (from rev 973946, haskell-generic-lens/trunk/ghc9.patch)
===================================================================
--- community-staging-x86_64/ghc9.patch (rev 0)
+++ community-staging-x86_64/ghc9.patch 2021-07-07 04:17:49 UTC (rev 973947)
@@ -0,0 +1,48 @@
+From 8e1fc7dcf444332c474fca17110d4bc554db08c8 Mon Sep 17 00:00:00 2001
+From: amesgen <amesgen at amesgen.de>
+Date: Thu, 11 Feb 2021 17:56:33 +0100
+Subject: [PATCH] GHC 9.0 compat w/o tests (#130)
+
+* update to GHC 9.0
+
+* move CI to GH actions
+---
+ .github/workflows/haskell-ci.yml | 200 ++++++++++++++++++
+ .travis.yml | 170 ---------------
+ generic-lens-core/generic-lens-core.cabal | 2 +-
+ .../Data/Generics/Internal/Profunctor/Iso.hs | 2 +-
+ .../Generics/Internal/Profunctor/Prism.hs | 4 +-
+ generic-lens/generic-lens.cabal | 2 +-
+ .../src/Data/Generics/Internal/VL/Iso.hs | 2 +-
+ .../src/Data/Generics/Internal/VL/Prism.hs | 2 +-
+ generic-optics/generic-optics.cabal | 2 +-
+ 9 files changed, 208 insertions(+), 178 deletions(-)
+ create mode 100644 .github/workflows/haskell-ci.yml
+ delete mode 100644 .travis.yml
+
+diff --git a/generic-lens/src/Data/Generics/Internal/VL/Iso.hs b/generic-lens/src/Data/Generics/Internal/VL/Iso.hs
+index 777d985..eba22f2 100644
+--- a/generic-lens/src/Data/Generics/Internal/VL/Iso.hs
++++ b/generic-lens/src/Data/Generics/Internal/VL/Iso.hs
+@@ -55,7 +55,7 @@ fromIso l = withIso l $ \ sa bt -> iso bt sa
+ {-# inline fromIso #-}
+
+ iso2isovl :: P.Iso s t a b -> Iso s t a b
+-iso2isovl _iso = P.withIso _iso iso
++iso2isovl _iso = P.withIso _iso $ \ sa bt -> iso sa bt
+ {-# INLINE iso2isovl #-}
+
+ -- | Extract the two functions, one from @s -> a@ and
+diff --git a/generic-lens/src/Data/Generics/Internal/VL/Prism.hs b/generic-lens/src/Data/Generics/Internal/VL/Prism.hs
+index 6a4a252..d6cf53c 100644
+--- a/generic-lens/src/Data/Generics/Internal/VL/Prism.hs
++++ b/generic-lens/src/Data/Generics/Internal/VL/Prism.hs
+@@ -50,7 +50,7 @@ prism bt seta eta = P.dimap (\x -> P.left' pure (seta x)) (either id (\x -> fmap
+ {-# INLINE prism #-}
+
+ prism2prismvl :: P.APrism i s t a b -> Prism s t a b
+-prism2prismvl _prism = P.withPrism _prism prism
++prism2prismvl _prism = P.withPrism _prism $ \ bt sta -> prism bt sta
+ {-# INLINE prism2prismvl #-}
+
+ --------------------------------------------------------------------------------
More information about the arch-commits
mailing list